import json, logging, std/httpclient, strutils

import ./models, ./service

proc createProposedEvent*(cfg: HffEntryFormsApiConfig, ep: EventProposal): bool =
  let headers = newHttpHeaders([
    ("Content-Type", "application/json"),
    ("Authorization", "Bearer " & cfg.integrationToken),
    ("Notion-Version", cfg.notionVersion)
  ], true)
  let http = newHttpClient(headers = headers, )

  debug $headers
  let epNotionPage = ep.asNotionPage
  epNotionPage["parent"] = %*{ "database_id": cfg.eventParentId }

  let apiResp = http.post(cfg.notionApiBaseUrl & "/pages", $epNotionPage)

  debug apiResp.status
  if not apiResp.status.startsWith("2"): debug apiResp.body

  return apiResp.status.startsWith("2")
